/****************************************************************
 Licensed Materials - Property of IBM and/or HCL 
(c) Copyright HCL Technologies Ltd. 2018.  All Rights Reserved.

 Note to U.S. Government Users Restricted Rights:
 Use, duplication or disclosure restricted by GSA ADP Schedule:
 Contract with IBM Corp.
*****************************************************************/

package com.hcl.test.rm.model;

import io.swagger.annotations.ApiModelProperty;

public class RMConfigurationException {
	
	/**
	 * The root cause .toString(), so that it can be compared at any time with possible root causes
	 */
	@ApiModelProperty(hidden = true)
	private String key;

	/**
	 * The translated status
	 */
	@ApiModelProperty(notes = "A sentence describing the issue")
	private String configurationStatus;

	void setConfigurationStatus(String configurationStatus) {
		this.configurationStatus = configurationStatus;
	}
	
	public String getConfigurationStatus() {
		return configurationStatus;
	}

	void setKey(String key) {
		this.key = key;
	}
	
	public String getKey() {
		return key;
	}

}
