define(['handlebars.runtime'], function(handlebars_runtime) {
	"use strict";
	var H = function() {
		this.hbContext = handlebars_runtime.create();

		// template: nav
		var tmp1 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing;

  return "\n	<nav class=\"navbar navbar-inverse\" data-rm-role=\"nav\">\n		<div class=\"container-fluid\">\n			<div class=\"navbar-header\">\n				<button type=\"button\" class=\"navbar-toggle collapsed\" data-toggle=\"collapse\" data-target=\"#navbar\" aria-expanded=\"false\" aria-controls=\"navbar\">\n	              <span class=\"sr-only\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_TOGGLE_NAVIGATION",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</span>\n	              <span class=\"icon-bar\"></span>\n	              <span class=\"icon-bar\"></span>\n	              <span class=\"icon-bar\"></span>\n	            </button>\n	            <img class=\"navbar-brand navbar-icon\" src=\"images/rms_24.png\">\n				<a class=\"navbar-brand no-wrap not-active\" href=\"javascript:void(0)\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_RESOURCE_MONITORING",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</a>\n			</div>\n			<div id=\"navbar\" class=\"collapse navbar-collapse\">\n				<ul class=\"nav navbar-nav\">\n					<li>\n						<a href=\"/\" title=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_HOME_TOOLTIP",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_HOME",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</a>\n					</li>\n"
    + ((stack1 = container.invokePartial(partials["add-menu"],depth0,{"name":"add-menu","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + ((stack1 = container.invokePartial(partials["layout-menu"],depth0,{"name":"layout-menu","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + "				</ul>\n				<ul class=\"nav navbar-nav navbar-right\">\n"
    + ((stack1 = container.invokePartial(partials["agents-menu"],depth0,{"name":"agents-menu","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + ((stack1 = container.invokePartial(partials["tenant-menu"],depth0,{"name":"tenant-menu","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + "					<li>\n						<a href=\"/api/explorer/?root=/rm\" target=\"_blank\" title=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_API_EXPLORER",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_API",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</a>\n					</li>\n"
    + ((stack1 = container.invokePartial(partials["help-menu"],depth0,{"name":"help-menu","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + "				</ul>\n			</div>\n		</div>\n	</nav>\n";
},"usePartial":true,"useData":true};
		this["nav"] = this.hbContext.template(tmp1);

		// template: addMenu
		var tmp2 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "\n"
    + ((stack1 = container.invokePartial(partials["add-menu"],depth0,{"name":"add-menu","data":data,"indent":"\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "");
},"usePartial":true,"useData":true};
		this["addMenu"] = this.hbContext.template(tmp2);

		// template: agentsMenu
		var tmp3 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "\n"
    + ((stack1 = container.invokePartial(partials["agents-menu"],depth0,{"name":"agents-menu","data":data,"indent":"\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "");
},"usePartial":true,"useData":true};
		this["agentsMenu"] = this.hbContext.template(tmp3);

		// template: aboutAgentDialog
		var tmp4 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, helper, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3="function", alias4=container.escapeExpression;

  return "\n	<div class=\"modal vertical-middle fade\" id=\"agent-help-modal\" tabindex=\"-1\" role=\"dialog\" aria-hidden=\"true\">\n        <div class=\"modal-dialog\">\n            <div class=\"modal-content\">\n	            <div class=\"modal-header\">\n					<button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"BTN_CLOSE_LABEL",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\">\n						<span aria-hidden=\"true\">×</span>\n					</button>\n	                <h4 class=\"modal-title\"><img src=\"images/flow_b_32.png\">&nbsp;&nbsp;<b>"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_TITLE",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</b></h4>\n	            </div>\n	            <div class=\"modal-body\">\n		            <div class=\"agent-help-dialog-title\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_EXPLANATION_TITLE",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</div>\n		            <div class=\"agent-htlp-dialog-message\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_EXPLANATION_TEXT",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</div>\n		            <div class=\"agent-help-dialog-spacer\"></div>\n		            <div>\n		               <i class=\"glyphicon glyphicon-download-alt agent-help-dialog-title-icon\"></i>\n		               <span class=\"agent-help-dialog-title\"><a href=\"agent-jar\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_DOWNLOAD_LINK_TEXT",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</a></span>\n		               <br>\n		               "
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_DOWNLOAD_CMD_TEXT",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\n		               <div class=\"agent-help-dialog-code\">\n		                  <code>"
    + alias4(((helper = (helper = helpers.curlCmd || (depth0 != null ? depth0.curlCmd : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"curlCmd","hash":{},"data":data}) : helper)))
    + "</code>\n		               </div>\n		               <div class=\"agent-help-dialog-code\">\n		                  <code>"
    + alias4(((helper = (helper = helpers.wgetCmd || (depth0 != null ? depth0.wgetCmd : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"wgetCmd","hash":{},"data":data}) : helper)))
    + "</code>\n		               </div>\n		            </div>\n		            <div class=\"agent-help-dialog-spacer\"></div>\n		            <div>\n		               <i class=\"glyphicon glyphicon-plane agent-help-dialog-title-icon\"></i>\n		               <span class=\"agent-help-dialog-title\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_RUN_TITLE",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</span>\n		               <br>\n		               "
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"AAD_RUN_TEXT",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\n		               <div class=\"agent-help-dialog-code\">\n		                  <code>"
    + alias4(((helper = (helper = helpers.runCmd || (depth0 != null ? depth0.runCmd : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"runCmd","hash":{},"data":data}) : helper)))
    + "</code>\n		               </div>\n		            </div>\n		        </div>\n		    </div>\n		</div>\n	</div>\n";
},"useData":true};
		this["aboutAgentDialog"] = this.hbContext.template(tmp4);

		// partial: add-menu
		var tmp5 = {"1":function(container,depth0,helpers,partials,data) {
    return " hidden";
},"3":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing;

  return "			<a class=\"dropdown-toggle\" href=\"javascript:void(0)\" role=\"button\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">\n			  	"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_SOURCES",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "&nbsp;<i class=\"glyphicon glyphicon-triangle-bottom small\"></i>\n			</a>\n			<ul class=\"dropdown-menu\" data-rm-role=\"menu-add-container\">\n"
    + ((stack1 = helpers.each.call(alias1,(helpers.inUseDataCollectors || (depth0 && depth0.inUseDataCollectors) || alias2).call(alias1,(data && data.root),{"name":"inUseDataCollectors","hash":{},"data":data}),{"name":"each","hash":{},"fn":container.program(4, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + ((stack1 = helpers["if"].call(alias1,(helpers.hasBoth || (depth0 && depth0.hasBoth) || alias2).call(alias1,(data && data.root),{"name":"hasBoth","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(6, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + ((stack1 = helpers.each.call(alias1,(helpers.otherDataCollectors || (depth0 && depth0.otherDataCollectors) || alias2).call(alias1,(data && data.root),{"name":"otherDataCollectors","hash":{},"data":data}),{"name":"each","hash":{},"fn":container.program(8, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "			</ul>\n";
},"4":function(container,depth0,helpers,partials,data) {
    var stack1;

  return ((stack1 = container.invokePartial(partials["data-collector-in-use"],depth0,{"name":"data-collector-in-use","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "");
},"6":function(container,depth0,helpers,partials,data) {
    return "					<li class=\"divider\" data-rm-role=\"menu-add-others-divider\"></li> \n";
},"8":function(container,depth0,helpers,partials,data) {
    var stack1;

  return ((stack1 = container.invokePartial(partials["data-collector-not-in-use"],depth0,{"name":"data-collector-not-in-use","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "");
},"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return "\n	<li class=\"dropdown"
    + ((stack1 = helpers.unless.call(alias1,(depth0 != null ? depth0.dataCollectors : depth0),{"name":"unless","hash":{},"fn":container.program(1, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "\" data-rm-role=\"menu-add\">\n"
    + ((stack1 = helpers["if"].call(alias1,(depth0 != null ? depth0.dataCollectors : depth0),{"name":"if","hash":{},"fn":container.program(3, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "	</li>\n";
},"usePartial":true,"useData":true};
		this.hbContext.registerPartial("add-menu", this.hbContext.template(tmp5));

		// partial: layout-menu
		var tmp6 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3=container.escapeExpression;

  return "\n	<li class=\"dropdown\" data-rm-role=\"menu-layout\">\n		<a class=\"dropdown-toggle\" href=\"javascript:void(0)\" role=\"button\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">\n		  	"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_LAYOUT",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "&nbsp;<i class=\"glyphicon glyphicon-triangle-bottom small\"></i>\n		</a>\n		<ul class=\"dropdown-menu\" data-rm-role=\"menu-layout-container\">\n			<li><a href=\"javascript:void(0)\" data-rm-role=\"extended-layout\">\n			    <i class=\"glyphicon "
    + alias3((helpers.getExtendedLayoutIcon || (depth0 && depth0.getExtendedLayoutIcon) || alias2).call(alias1,(data && data.root),true,{"name":"getExtendedLayoutIcon","hash":{},"data":data}))
    + "\" data-rm-layout-icon=\"extended\"></i>&nbsp;&nbsp;<i class=\"glyphicon glyphicon-align-justify\"></i>&nbsp;&nbsp;"
    + alias3((helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_LAYOUT_EXTENDED",{"name":"tr","hash":{},"data":data}))
    + "</a></li>\n			<li class=\"divider\"></li> \n			<li><a href=\"javascript:void(0)\" data-rm-role=\"responsive-layout\">\n			    <i class=\"glyphicon "
    + alias3((helpers.getExtendedLayoutIcon || (depth0 && depth0.getExtendedLayoutIcon) || alias2).call(alias1,(data && data.root),false,{"name":"getExtendedLayoutIcon","hash":{},"data":data}))
    + "\" data-rm-layout-icon=\"responsive\"></i>&nbsp;&nbsp;<i class=\"glyphicon glyphicon-th\"></i>&nbsp;&nbsp;"
    + alias3((helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_LAYOUT_RESPONSIVE",{"name":"tr","hash":{},"data":data}))
    + "</a></li>\n		</ul>\n	</li>\n";
},"useData":true};
		this.hbContext.registerPartial("layout-menu", this.hbContext.template(tmp6));

		// partial: data-collector-in-use
		var tmp7 = {"1":function(container,depth0,helpers,partials,data) {
    return "not-active";
},"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, helper, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3="function";

  return "\n	<li><a href=\"javascript:void(0)\" class=\""
    + ((stack1 = helpers.unless.call(alias1,(helpers.canCreateOrModifyDataCollector || (depth0 && depth0.canCreateOrModifyDataCollector) || alias2).call(alias1,(data && data.root),depth0,{"name":"canCreateOrModifyDataCollector","hash":{},"data":data}),{"name":"unless","hash":{},"fn":container.program(1, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "\" data-rm-role=\"create-source\" data-rm-data-collector-id=\""
    + container.escapeExpression(((helper = (helper = helpers.dataCollectorId || (depth0 != null ? depth0.dataCollectorId : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"dataCollectorId","hash":{},"data":data}) : helper)))
    + "\">"
    + ((stack1 = ((helper = (helper = helpers.addAnotherCommand || (depth0 != null ? depth0.addAnotherCommand : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"addAnotherCommand","hash":{},"data":data}) : helper))) != null ? stack1 : "")
    + "</a></li>\n";
},"useData":true};
		this.hbContext.registerPartial("data-collector-in-use", this.hbContext.template(tmp7));

		// partial: data-collector-not-in-use
		var tmp8 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, helper, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3="function";

  return "\n	<li><a href=\"javascript:void(0)\" data-rm-role=\"create-source\" data-rm-data-collector-id=\""
    + container.escapeExpression(((helper = (helper = helpers.dataCollectorId || (depth0 != null ? depth0.dataCollectorId : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"dataCollectorId","hash":{},"data":data}) : helper)))
    + "\">"
    + ((stack1 = ((helper = (helper = helpers.addCommand || (depth0 != null ? depth0.addCommand : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"addCommand","hash":{},"data":data}) : helper))) != null ? stack1 : "")
    + "</a></li>\n";
},"useData":true};
		this.hbContext.registerPartial("data-collector-not-in-use", this.hbContext.template(tmp8));

		// partial: agents-menu
		var tmp9 = {"1":function(container,depth0,helpers,partials,data) {
    return " hidden";
},"3":function(container,depth0,helpers,partials,data) {
    var stack1, helper;

  return "				<li data-rm-role=\"agent-status\" data-rm-agent-id=\""
    + container.escapeExpression(((helper = (helper = helpers.agentId || (depth0 != null ? depth0.agentId : depth0)) != null ? helper : helpers.helperMissing),(typeof helper === "function" ? helper.call(depth0 != null ? depth0 : (container.nullContext || {}),{"name":"agentId","hash":{},"data":data}) : helper)))
    + "\">\n"
    + ((stack1 = container.invokePartial(partials["agent-status"],depth0,{"name":"agent-status","data":data,"indent":"\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + "				</li>\n";
},"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, helper, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3="function", alias4=container.escapeExpression;

  return "\n	<li class=\"dropdown"
    + ((stack1 = helpers.unless.call(alias1,(depth0 != null ? depth0.agents : depth0),{"name":"unless","hash":{},"fn":container.program(1, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "\" data-rm-role=\"menu-agents\">\n		<a class=\"dropdown-toggle\" href=\"javascript:void(0)\" role=\"button\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">\n		  	"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_AGENTS",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\n		  	<!-- no spaces at all between those two ones -->\n		  	<span class=\"label label-success label-as-badge\" data-rm-role=\"badge-agents-ok\">"
    + alias4(((helper = (helper = helpers.okAgents || (depth0 != null ? depth0.okAgents : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"okAgents","hash":{},"data":data}) : helper)))
    + "</span><span class=\"label label-warning label-as-badge\" data-rm-role=\"badge-agents-ko\">"
    + alias4(((helper = (helper = helpers.koAgents || (depth0 != null ? depth0.koAgents : depth0)) != null ? helper : alias2),(typeof helper === alias3 ? helper.call(alias1,{"name":"koAgents","hash":{},"data":data}) : helper)))
    + "</span>\n		  	<i class=\"glyphicon glyphicon-triangle-bottom small\"></i>\n		</a>\n		<ul class=\"dropdown-menu no-wrap\" data-rm-role=\"menu-display-agents-container\">\n"
    + ((stack1 = helpers.each.call(alias1,(depth0 != null ? depth0.agents : depth0),{"name":"each","hash":{},"fn":container.program(3, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "		</ul>\n	</li>\n";
},"usePartial":true,"useData":true};
		this.hbContext.registerPartial("agents-menu", this.hbContext.template(tmp9));

		// partial: agent-status
		var tmp10 = {"1":function(container,depth0,helpers,partials,data) {
    return "label-success";
},"3":function(container,depth0,helpers,partials,data) {
    return "label-warning";
},"5":function(container,depth0,helpers,partials,data) {
    return "glyphicon-thumbs-up";
},"7":function(container,depth0,helpers,partials,data) {
    return "glyphicon-thumbs-down";
},"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, helper, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return "\n	<a href=\"javascript:void(0)\" class=\"not-active\">\n		"
    + container.escapeExpression(((helper = (helper = helpers.title || (depth0 != null ? depth0.title : depth0)) != null ? helper : helpers.helperMissing),(typeof helper === "function" ? helper.call(alias1,{"name":"title","hash":{},"data":data}) : helper)))
    + "&nbsp;\n		<span class=\"label "
    + ((stack1 = helpers["if"].call(alias1,(depth0 != null ? depth0.connected : depth0),{"name":"if","hash":{},"fn":container.program(1, data, 0),"inverse":container.program(3, data, 0),"data":data})) != null ? stack1 : "")
    + " label-as-badge\">\n			<i class=\"glyphicon "
    + ((stack1 = helpers["if"].call(alias1,(depth0 != null ? depth0.connected : depth0),{"name":"if","hash":{},"fn":container.program(5, data, 0),"inverse":container.program(7, data, 0),"data":data})) != null ? stack1 : "")
    + "\"></i>\n		</span>\n	</a>\n";
},"useData":true};
		this.hbContext.registerPartial("agent-status", this.hbContext.template(tmp10));

		// partial: tenant-menu
		var tmp11 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    return "\n	<li class=\"dropdown hidden\" data-rm-role=\"menu-tenant\">\n		<a class=\"dropdown-toggle\" href=\"javascript:void(0)\" role=\"button\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">\n		   <span data-rm-role=\"tenant-name\"></span>\n		   &nbsp;<i class=\"glyphicon glyphicon-triangle-bottom small\"></i>\n		</a>\n		<ul class=\"dropdown-menu\">\n			<li><a href=\"invitee-forget\">Forget (test purpose)</a></li>\n		</ul>\n	</li>\n";
},"useData":true};
		this.hbContext.registerPartial("tenant-menu", this.hbContext.template(tmp11));

		// partial: help-menu
		var tmp12 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, helper, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing;

  return "\n	<li class=\"dropdown\">\n		<a class=\"dropdown-toggle\" href=\"javascript:void(0)\" role=\"button\" title=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_HELP",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">\n		  	<i class=\"glyphicon glyphicon-question-sign\"></i>\n		</a>\n		<ul class=\"dropdown-menu\">\n		    <li><a href=\"javascript:void(0)\" data-rm-role=\"help-about-agent\">\n			    "
    + container.escapeExpression((helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_HELP_AGENT",{"name":"tr","hash":{},"data":data}))
    + "</a></li>\n			<li class=\"divider\"></li>\n			<li><a href=\""
    + ((stack1 = ((helper = (helper = helpers.helpUrl || (depth0 != null ? depth0.helpUrl : depth0)) != null ? helper : alias2),(typeof helper === "function" ? helper.call(alias1,{"name":"helpUrl","hash":{},"data":data}) : helper))) != null ? stack1 : "")
    + "\" target=\"_blank\">\n			     "
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"NAV_HELP",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</a></li> \n		</ul>\n	</li>\n";
},"useData":true};
		this.hbContext.registerPartial("help-menu", this.hbContext.template(tmp12));

		// helper: tr
		this.hbContext.registerHelper("tr", 
	function(key) {	return window.messages.get(key); }
    );

		// helper: getExtendedLayoutIcon
		this.hbContext.registerHelper("getExtendedLayoutIcon", 
	function(root, isExtended, options) {
		var current = root['data-collectors-layout'].isExtendedLayout;
		if( current === isExtended ) {
			return "glyphicon-ok"; //check
		} else {
			return "rm-glyphicon-none"; //spacer
		}
	}
    );

		// helper: inUseDataCollectors
		this.hbContext.registerHelper("inUseDataCollectors", 
	function(root, options) {
		return root['data-collectors-adapter'].inUseDataCollectors();
	}
    );

		// helper: otherDataCollectors
		this.hbContext.registerHelper("otherDataCollectors", 
	function(root, options) {
		return root['data-collectors-adapter'].otherDataCollectors();
	}
    );

		// helper: hasBoth
		this.hbContext.registerHelper("hasBoth", 
	function(root, options) {
		return root['data-collectors-adapter'].hasBoth();
	}
    );

		// helper: canCreateOrModifyDataCollector
		this.hbContext.registerHelper("canCreateOrModifyDataCollector", 
	function(root, dataCollector, options) {
		return root['data-collectors-adapter'].canCreateOrModify(dataCollector);
	}
    );
	};
	return new H();
});
