define(['handlebars.runtime'], function(handlebars_runtime) {
	"use strict";
	var H = function() {
		this.hbContext = handlebars_runtime.create();

		// template: tree
		var tmp1 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "\n	<div class=\"tree\" id=\""
    + container.escapeExpression((helpers.getId || (depth0 && depth0.getId) || helpers.helperMissing).call(depth0 != null ? depth0 : (container.nullContext || {}),(data && data.root),depth0,{"name":"getId","hash":{},"data":data}))
    + "Tree\" data-tree-role=\"container\">\n"
    + ((stack1 = container.invokePartial(partials["tree-item"],depth0,{"name":"tree-item","data":data,"indent":"\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + "	</div>\n";
},"usePartial":true,"useData":true};
		this["tree"] = this.hbContext.template(tmp1);

		// template: treeItem
		var tmp2 = {"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "\n"
    + ((stack1 = container.invokePartial(partials["tree-item"],depth0,{"name":"tree-item","data":data,"indent":"\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "");
},"usePartial":true,"useData":true};
		this["treeItem"] = this.hbContext.template(tmp2);

		// partial: tree-item
		var tmp3 = {"1":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return "			<span class=\"any-tree-icon not-selectable-text "
    + ((stack1 = helpers["if"].call(alias1,(helpers.isExpanded || (depth0 && depth0.isExpanded) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"isExpanded","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(2, data, 0),"inverse":container.program(4, data, 0),"data":data})) != null ? stack1 : "")
    + "-icon\" data-tree-role=\"collapse-expand\" tabindex=\"0\"></span>\n";
},"2":function(container,depth0,helpers,partials,data) {
    return "collapse";
},"4":function(container,depth0,helpers,partials,data) {
    return "expand";
},"6":function(container,depth0,helpers,partials,data) {
    return "			<span class=\"any-tree-icon\" style=\"visibility: hidden;\"></span>\n";
},"8":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return ((stack1 = helpers["if"].call(alias1,(helpers.isRefreshable || (depth0 && depth0.isRefreshable) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"isRefreshable","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(9, data, 0),"inverse":container.program(11, data, 0),"data":data})) != null ? stack1 : "");
},"9":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing;

  return "				<span role=\"button\" data-tree-role=\"refresh\">\n					<span class=\"any-tool-icon small refresh-black-icon\" title=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"BTN_REFRESH",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\" aria-hidden=\"true\" tabindex=\"0\" data-tree-role=\"refresh-icon\"></span>\n					<span class=\"sr-only\">"
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || alias2).call(alias1,"BTN_REFRESH",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "</span>\n				</span>\n";
},"11":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return ((stack1 = helpers.unless.call(alias1,(helpers.getChildren || (depth0 && depth0.getChildren) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"getChildren","hash":{},"data":data}),{"name":"unless","hash":{},"fn":container.program(12, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "");
},"12":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "					<span class=\"any-tool-icon small refresh-black-icon hidden\" title=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || helpers.helperMissing).call(depth0 != null ? depth0 : (container.nullContext || {}),"TREE_REFRESHING",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\" aria-hidden=\"true\" data-tree-role=\"refresh-icon\"></span>\n";
},"14":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return "			<ul data-tree-role=\"children\">\n"
    + ((stack1 = helpers.each.call(alias1,(helpers.getChildren || (depth0 && depth0.getChildren) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"getChildren","hash":{},"data":data}),{"name":"each","hash":{},"fn":container.program(15, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "			</ul>\n";
},"15":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "					<li>\n"
    + ((stack1 = container.invokePartial(partials["tree-item"],depth0,{"name":"tree-item","data":data,"indent":"\t\t\t\t\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + "					</li>\n";
},"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3=container.escapeExpression;

  return "\n	<div class=\"tree-item\" id=\""
    + alias3((helpers.getId || (depth0 && depth0.getId) || alias2).call(alias1,(data && data.root),depth0,{"name":"getId","hash":{},"data":data}))
    + "TreeItem\" data-tree-role=\"item\" data-tree-item-id=\""
    + alias3((helpers.getId || (depth0 && depth0.getId) || alias2).call(alias1,(data && data.root),depth0,{"name":"getId","hash":{},"data":data}))
    + "\">\n"
    + ((stack1 = helpers["if"].call(alias1,(helpers.isContainer || (depth0 && depth0.isContainer) || alias2).call(alias1,(data && data.root),depth0,{"name":"isContainer","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(1, data, 0),"inverse":container.program(6, data, 0),"data":data})) != null ? stack1 : "")
    + ((stack1 = container.invokePartial(partials["tree-item-content"],depth0,{"name":"tree-item-content","data":data,"indent":"\t\t","helpers":helpers,"partials":partials,"decorators":container.decorators})) != null ? stack1 : "")
    + ((stack1 = helpers["if"].call(alias1,(helpers.isContainer || (depth0 && depth0.isContainer) || alias2).call(alias1,(data && data.root),depth0,{"name":"isContainer","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(8, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + ((stack1 = helpers["if"].call(alias1,(helpers.isExpanded || (depth0 && depth0.isExpanded) || alias2).call(alias1,(data && data.root),depth0,{"name":"isExpanded","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(14, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + "	</div>\n";
},"usePartial":true,"useData":true};
		this.hbContext.registerPartial("tree-item", this.hbContext.template(tmp3));

		// partial: tree-item-content
		var tmp4 = {"1":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return ((stack1 = helpers["if"].call(alias1,(helpers.isContainer || (depth0 && depth0.isContainer) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"isContainer","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(2, data, 0),"inverse":container.program(7, data, 0),"data":data})) != null ? stack1 : "");
},"2":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return ((stack1 = helpers["if"].call(alias1,(helpers.hasChildren || (depth0 && depth0.hasChildren) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"hasChildren","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(3, data, 0),"inverse":container.program(5, data, 0),"data":data})) != null ? stack1 : "");
},"3":function(container,depth0,helpers,partials,data) {
    return "					<input type=\"checkbox\" data-tree-role=\"container-checkbox\">\n";
},"5":function(container,depth0,helpers,partials,data) {
    var stack1;

  return "					<input type=\"checkbox\" disabled=\"disabled\" title=\""
    + ((stack1 = (helpers.tr || (depth0 && depth0.tr) || helpers.helperMissing).call(depth0 != null ? depth0 : (container.nullContext || {}),"BTN_EXPAND_TO_POPULATE",{"name":"tr","hash":{},"data":data})) != null ? stack1 : "")
    + "\">\n";
},"7":function(container,depth0,helpers,partials,data) {
    return "				<input type=\"checkbox\" name=\""
    + container.escapeExpression((helpers.getId || (depth0 && depth0.getId) || helpers.helperMissing).call(depth0 != null ? depth0 : (container.nullContext || {}),(data && data.root),depth0,{"name":"getId","hash":{},"data":data}))
    + "\" data-tree-role=\"leaf-checkbox\">\n";
},"9":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {});

  return ((stack1 = helpers["if"].call(alias1,(helpers.isLazyExplanation || (depth0 && depth0.isLazyExplanation) || helpers.helperMissing).call(alias1,(data && data.root),depth0,{"name":"isLazyExplanation","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(10, data, 0),"inverse":container.program(12, data, 0),"data":data})) != null ? stack1 : "");
},"10":function(container,depth0,helpers,partials,data) {
    return "				<span class=\"hover-help\" data-tree-role=\"load-explanation-on-hover\">"
    + container.escapeExpression((helpers.getText || (depth0 && depth0.getText) || helpers.helperMissing).call(depth0 != null ? depth0 : (container.nullContext || {}),(data && data.root),depth0,{"name":"getText","hash":{},"data":data}))
    + "</span>\n";
},"12":function(container,depth0,helpers,partials,data) {
    var helper, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing, alias3=container.escapeExpression;

  return "				<span class=\"hover-help\" data-tree-role=\"explanation-on-hover\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\""
    + alias3(((helper = (helper = helpers.explanation || (depth0 != null ? depth0.explanation : depth0)) != null ? helper : alias2),(typeof helper === "function" ? helper.call(alias1,{"name":"explanation","hash":{},"data":data}) : helper)))
    + "\">"
    + alias3((helpers.getText || (depth0 && depth0.getText) || alias2).call(alias1,(data && data.root),depth0,{"name":"getText","hash":{},"data":data}))
    + "</span>\n";
},"14":function(container,depth0,helpers,partials,data) {
    return "			"
    + container.escapeExpression((helpers.getText || (depth0 && depth0.getText) || helpers.helperMissing).call(depth0 != null ? depth0 : (container.nullContext || {}),(data && data.root),depth0,{"name":"getText","hash":{},"data":data}))
    + "\n";
},"compiler":[7,">= 4.0.0"],"main":function(container,depth0,helpers,partials,data) {
    var stack1, alias1=depth0 != null ? depth0 : (container.nullContext || {}), alias2=helpers.helperMissing;

  return "\n	<label data-tree-role=\"item-label\" tabindex=\"0\">\n"
    + ((stack1 = helpers["if"].call(alias1,(helpers.withCheckboxes || (depth0 && depth0.withCheckboxes) || alias2).call(alias1,(data && data.root),{"name":"withCheckboxes","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(1, data, 0),"inverse":container.noop,"data":data})) != null ? stack1 : "")
    + ((stack1 = helpers["if"].call(alias1,(helpers.getExplanation || (depth0 && depth0.getExplanation) || alias2).call(alias1,(data && data.root),depth0,{"name":"getExplanation","hash":{},"data":data}),{"name":"if","hash":{},"fn":container.program(9, data, 0),"inverse":container.program(14, data, 0),"data":data})) != null ? stack1 : "")
    + "	</label>\n";
},"useData":true};
		this.hbContext.registerPartial("tree-item-content", this.hbContext.template(tmp4));

		// helper: tr
		this.hbContext.registerHelper("tr", 
	function(key) { return window.messages.get(key); }
    );

		// helper: withCheckboxes
		this.hbContext.registerHelper("withCheckboxes", 
	function(root, options) {
		return root['tree-adapter'].withCheckboxes;
	}
    );

		// helper: getId
		this.hbContext.registerHelper("getId", 
	function(root, item, options) {
		return root['tree-adapter'].getId(item);
	}
    );

		// helper: getText
		this.hbContext.registerHelper("getText", 
	function(root, item, options) {
		return root['tree-adapter'].getText(item);
	}
    );

		// helper: isContainer
		this.hbContext.registerHelper("isContainer", 
	function(root, item, options) {
		return root['tree-adapter'].isContainer(item);
	}
    );

		// helper: isExpanded
		this.hbContext.registerHelper("isExpanded", 
	function(root, item, options) {
		return root['tree-adapter'].isExpanded(item);
	}
    );

		// helper: isRefreshable
		this.hbContext.registerHelper("isRefreshable", 
	function(root, item, options) {
		return root['tree-adapter'].isRefreshable(item);
	}
    );

		// helper: hasChildren
		this.hbContext.registerHelper("hasChildren", 
	function(root, item, options) {
		return root['tree-adapter'].hasChildren(item);
	}
    );

		// helper: getChildren
		this.hbContext.registerHelper("getChildren", 
	function(root, item, options) {
		return root['tree-adapter'].getChildren(item);
	}
    );

		// helper: getExplanation
		this.hbContext.registerHelper("getExplanation", 
	function(root, item, options) {
		return root['tree-adapter'].getExplanation(item);
	}
    );

		// helper: isLazyExplanation
		this.hbContext.registerHelper("isLazyExplanation", 
	function(root, item, options) {
		return root['tree-adapter'].isLazyExplanation(item);
	}
    );
	};
	return new H();
});
